aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Sqs.Commands.Queue

# Documentation

data CreateQueue #

Constructors

CreateQueue |

Fields

- cqDefaultVisibilityTimeout :: Maybe Int
- cqQueueName :: Text

#### Instances

Instances details

SignQuery CreateQueue # | ServiceConfiguration: `SqsConfiguration`

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type ServiceConfiguration CreateQueue |
Instance details Defined in Aws.Sqs.Commands.Queue type ServiceConfiguration CreateQueue = SqsConfiguration

Methods

signQuery :: CreateQueue -> ServiceConfiguration CreateQueue queryType -> SignatureData -> SignedQuery #

Show CreateQueue # |
Instance details Defined in Aws.Sqs.Commands.Queue Methods showsPrec :: Int -> CreateQueue -> ShowS # show :: CreateQueue -> String # showList :: [CreateQueue] -> ShowS #
Transaction CreateQueue CreateQueueResponse # |
Instance details Defined in Aws.Sqs.Commands.Queue
type ServiceConfiguration CreateQueue # |
Instance details Defined in Aws.Sqs.Commands.Queue type ServiceConfiguration CreateQueue = SqsConfiguration

data CreateQueueResponse #

Constructors

CreateQueueResponse |

Fields

- cqrQueueUrl :: Text

#### Instances

Instances details

AsMemoryResponse CreateQueueResponse # |

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type MemoryResponse CreateQueueResponse |
Instance details Defined in Aws.Sqs.Commands.Queue type MemoryResponse CreateQueueResponse = CreateQueueResponse

Methods

loadToMemory :: CreateQueueResponse -> ResourceT IO (MemoryResponse CreateQueueResponse) #

Show CreateQueueResponse # |
Instance details Defined in Aws.Sqs.Commands.Queue Methods showsPrec :: Int -> CreateQueueResponse -> ShowS # show :: CreateQueueResponse -> String # showList :: [CreateQueueResponse] -> ShowS #
ResponseConsumer r CreateQueueResponse # |

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type ResponseMetadata CreateQueueResponse |
Instance details Defined in Aws.Sqs.Commands.Queue type ResponseMetadata CreateQueueResponse = SqsMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata CreateQueueResponse) -> HTTPResponseConsumer CreateQueueResponse #

Transaction CreateQueue CreateQueueResponse # |
Instance details Defined in Aws.Sqs.Commands.Queue
type MemoryResponse CreateQueueResponse # |
Instance details Defined in Aws.Sqs.Commands.Queue type MemoryResponse CreateQueueResponse = CreateQueueResponse
type ResponseMetadata CreateQueueResponse # |
Instance details Defined in Aws.Sqs.Commands.Queue type ResponseMetadata CreateQueueResponse = SqsMetadata

data DeleteQueue #

Constructors

DeleteQueue |

Fields

- dqQueueName :: QueueName

#### Instances

Instances details

SignQuery DeleteQueue # | ServiceConfiguration: `SqsConfiguration`

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type ServiceConfiguration DeleteQueue |
Instance details Defined in Aws.Sqs.Commands.Queue type ServiceConfiguration DeleteQueue = SqsConfiguration

Methods

signQuery :: DeleteQueue -> ServiceConfiguration DeleteQueue queryType -> SignatureData -> SignedQuery #

Show DeleteQueue # |
Instance details Defined in Aws.Sqs.Commands.Queue Methods showsPrec :: Int -> DeleteQueue -> ShowS # show :: DeleteQueue -> String # showList :: [DeleteQueue] -> ShowS #
Transaction DeleteQueue DeleteQueueResponse # |
Instance details Defined in Aws.Sqs.Commands.Queue
type ServiceConfiguration DeleteQueue # |
Instance details Defined in Aws.Sqs.Commands.Queue type ServiceConfiguration DeleteQueue = SqsConfiguration

data DeleteQueueResponse #

Constructors

DeleteQueueResponse |

#### Instances

Instances details

AsMemoryResponse DeleteQueueResponse # |

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type MemoryResponse DeleteQueueResponse |
Instance details Defined in Aws.Sqs.Commands.Queue type MemoryResponse DeleteQueueResponse = DeleteQueueResponse

Methods

loadToMemory :: DeleteQueueResponse -> ResourceT IO (MemoryResponse DeleteQueueResponse) #

Show DeleteQueueResponse # |
Instance details Defined in Aws.Sqs.Commands.Queue Methods showsPrec :: Int -> DeleteQueueResponse -> ShowS # show :: DeleteQueueResponse -> String # showList :: [DeleteQueueResponse] -> ShowS #
ResponseConsumer r DeleteQueueResponse # |

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type ResponseMetadata DeleteQueueResponse |
Instance details Defined in Aws.Sqs.Commands.Queue type ResponseMetadata DeleteQueueResponse = SqsMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata DeleteQueueResponse) -> HTTPResponseConsumer DeleteQueueResponse #

Transaction DeleteQueue DeleteQueueResponse # |
Instance details Defined in Aws.Sqs.Commands.Queue
type MemoryResponse DeleteQueueResponse # |
Instance details Defined in Aws.Sqs.Commands.Queue type MemoryResponse DeleteQueueResponse = DeleteQueueResponse
type ResponseMetadata DeleteQueueResponse # |
Instance details Defined in Aws.Sqs.Commands.Queue type ResponseMetadata DeleteQueueResponse = SqsMetadata

data ListQueues #

Constructors

ListQueues |

Fields

- lqQueueNamePrefix :: Maybe Text

#### Instances

Instances details

SignQuery ListQueues # | ServiceConfiguration: `SqsConfiguration`

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type ServiceConfiguration ListQueues |
Instance details Defined in Aws.Sqs.Commands.Queue type ServiceConfiguration ListQueues = SqsConfiguration

Methods

signQuery :: ListQueues -> ServiceConfiguration ListQueues queryType -> SignatureData -> SignedQuery #

Show ListQueues # |
Instance details Defined in Aws.Sqs.Commands.Queue Methods showsPrec :: Int -> ListQueues -> ShowS # show :: ListQueues -> String # showList :: [ListQueues] -> ShowS #
Transaction ListQueues ListQueuesResponse # |
Instance details Defined in Aws.Sqs.Commands.Queue
type ServiceConfiguration ListQueues # |
Instance details Defined in Aws.Sqs.Commands.Queue type ServiceConfiguration ListQueues = SqsConfiguration

data ListQueuesResponse #

Constructors

ListQueuesResponse |

Fields

- lqrQueueUrls :: [Text]

#### Instances

Instances details

AsMemoryResponse ListQueuesResponse # |

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type MemoryResponse ListQueuesResponse |
Instance details Defined in Aws.Sqs.Commands.Queue type MemoryResponse ListQueuesResponse = ListQueuesResponse

Methods

loadToMemory :: ListQueuesResponse -> ResourceT IO (MemoryResponse ListQueuesResponse) #

Show ListQueuesResponse # |
Instance details Defined in Aws.Sqs.Commands.Queue Methods showsPrec :: Int -> ListQueuesResponse -> ShowS # show :: ListQueuesResponse -> String # showList :: [ListQueuesResponse] -> ShowS #
ResponseConsumer r ListQueuesResponse # |

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type ResponseMetadata ListQueuesResponse |
Instance details Defined in Aws.Sqs.Commands.Queue type ResponseMetadata ListQueuesResponse = SqsMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata ListQueuesResponse) -> HTTPResponseConsumer ListQueuesResponse #

Transaction ListQueues ListQueuesResponse # |
Instance details Defined in Aws.Sqs.Commands.Queue
type MemoryResponse ListQueuesResponse # |
Instance details Defined in Aws.Sqs.Commands.Queue type MemoryResponse ListQueuesResponse = ListQueuesResponse
type ResponseMetadata ListQueuesResponse # |
Instance details Defined in Aws.Sqs.Commands.Queue type ResponseMetadata ListQueuesResponse = SqsMetadata